#include <stdio.h>

int
main(){
	int m;
	scanf("%d", &m);

	unsigned int p[128] = {1,1,1};
	for(int n = 3; n <= m; n++){
		p[n] = p[n-2] + p[n-3];
	}
	for(int n = 0; n <= m; n++){
		printf("%d, ", p[n]);
	}
	putchar('\n');
return 0;}


